Memos
Identity Provider Service

Create Identity Provider

CreateIdentityProvider creates an identity provider.

POST
/api/v1/identity-providers

Query Parameters

identityProviderId?string

Optional. The ID to use for the identity provider, which will become the final component of the resource name. If not provided, the system will generate one.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/identity-providers" \  -H "Content-Type: application/json" \  -d '{    "type": "TYPE_UNSPECIFIED",    "title": "string",    "config": {}  }'
{
  "name": "string",
  "type": "TYPE_UNSPECIFIED",
  "title": "string",
  "identifierFilter": "string",
  "config": {
    "oauth2Config": {
      "clientId": "string",
      "clientSecret": "string",
      "authUrl": "string",
      "tokenUrl": "string",
      "userInfoUrl": "string",
      "scopes": [
        "string"
      ],
      "fieldMapping": {
        "identifier": "string",
        "displayName": "string",
        "email": "string",
        "avatarUrl": "string"
      }
    }
  }
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}

On this page

No Headings